/* automatically generated by rust-bindgen */

pub const __BITS_PER_LONG: u32 = 64;
pub const __FD_SETSIZE: u32 = 1024;
pub const _IOC_NRBITS: u32 = 8;
pub const _IOC_TYPEBITS: u32 = 8;
pub const _IOC_SIZEBITS: u32 = 14;
pub const _IOC_DIRBITS: u32 = 2;
pub const _IOC_NRMASK: u32 = 255;
pub const _IOC_TYPEMASK: u32 = 255;
pub const _IOC_SIZEMASK: u32 = 16383;
pub const _IOC_DIRMASK: u32 = 3;
pub const _IOC_NRSHIFT: u32 = 0;
pub const _IOC_TYPESHIFT: u32 = 8;
pub const _IOC_SIZESHIFT: u32 = 16;
pub const _IOC_DIRSHIFT: u32 = 30;
pub const _IOC_NONE: u32 = 0;
pub const _IOC_WRITE: u32 = 1;
pub const _IOC_READ: u32 = 2;
pub const IOC_IN: u32 = 1073741824;
pub const IOC_OUT: u32 = 2147483648;
pub const IOC_INOUT: u32 = 3221225472;
pub const IOCSIZE_MASK: u32 = 1073676288;
pub const IOCSIZE_SHIFT: u32 = 16;
pub const PULSE_BIT: u32 = 16777216;
pub const PULSE_MASK: u32 = 16777215;
pub const LIRC_MODE2_SPACE: u32 = 0;
pub const LIRC_MODE2_PULSE: u32 = 16777216;
pub const LIRC_MODE2_FREQUENCY: u32 = 33554432;
pub const LIRC_MODE2_TIMEOUT: u32 = 50331648;
pub const LIRC_VALUE_MASK: u32 = 16777215;
pub const LIRC_MODE2_MASK: u32 = 4278190080;
pub const LIRC_MODE_RAW: u32 = 1;
pub const LIRC_MODE_PULSE: u32 = 2;
pub const LIRC_MODE_MODE2: u32 = 4;
pub const LIRC_MODE_SCANCODE: u32 = 8;
pub const LIRC_MODE_LIRCCODE: u32 = 16;
pub const LIRC_CAN_SEND_MASK: u32 = 63;
pub const LIRC_CAN_SET_SEND_CARRIER: u32 = 256;
pub const LIRC_CAN_SET_SEND_DUTY_CYCLE: u32 = 512;
pub const LIRC_CAN_SET_TRANSMITTER_MASK: u32 = 1024;
pub const LIRC_CAN_SET_REC_CARRIER: u32 = 16777216;
pub const LIRC_CAN_SET_REC_DUTY_CYCLE: u32 = 33554432;
pub const LIRC_CAN_SET_REC_DUTY_CYCLE_RANGE: u32 = 1073741824;
pub const LIRC_CAN_SET_REC_CARRIER_RANGE: u32 = 2147483648;
pub const LIRC_CAN_GET_REC_RESOLUTION: u32 = 536870912;
pub const LIRC_CAN_SET_REC_TIMEOUT: u32 = 268435456;
pub const LIRC_CAN_SET_REC_FILTER: u32 = 134217728;
pub const LIRC_CAN_MEASURE_CARRIER: u32 = 33554432;
pub const LIRC_CAN_USE_WIDEBAND_RECEIVER: u32 = 67108864;
pub const LIRC_CAN_NOTIFY_DECODE: u32 = 16777216;
pub const LIRC_SCANCODE_FLAG_TOGGLE: u32 = 1;
pub const LIRC_SCANCODE_FLAG_REPEAT: u32 = 2;
pub type __s8 = ::std::os::raw::c_schar;
pub type __u8 = ::std::os::raw::c_uchar;
pub type __s16 = ::std::os::raw::c_short;
pub type __u16 = ::std::os::raw::c_ushort;
pub type __s32 = ::std::os::raw::c_int;
pub type __u32 = ::std::os::raw::c_uint;
pub type __s64 = ::std::os::raw::c_longlong;
pub type __u64 = ::std::os::raw::c_ulonglong;
#[repr(C)]
#[derive(Debug, Copy, Clone)]
pub struct __kernel_fd_set {
    pub fds_bits: [::std::os::raw::c_ulong; 16usize],
}
#[test]
fn bindgen_test_layout___kernel_fd_set() {
    assert_eq!(
        ::std::mem::size_of::<__kernel_fd_set>(),
        128usize,
        concat!("Size of: ", stringify!(__kernel_fd_set))
    );
    assert_eq!(
        ::std::mem::align_of::<__kernel_fd_set>(),
        8usize,
        concat!("Alignment of ", stringify!(__kernel_fd_set))
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<__kernel_fd_set>())).fds_bits as *const _ as usize },
        0usize,
        concat!(
            "Offset of field: ",
            stringify!(__kernel_fd_set),
            "::",
            stringify!(fds_bits)
        )
    );
}
pub type __kernel_sighandler_t =
    ::std::option::Option<unsafe extern "C" fn(arg1: ::std::os::raw::c_int)>;
pub type __kernel_key_t = ::std::os::raw::c_int;
pub type __kernel_mqd_t = ::std::os::raw::c_int;
pub type __kernel_old_uid_t = ::std::os::raw::c_ushort;
pub type __kernel_old_gid_t = ::std::os::raw::c_ushort;
pub type __kernel_old_dev_t = ::std::os::raw::c_ulong;
pub type __kernel_long_t = ::std::os::raw::c_long;
pub type __kernel_ulong_t = ::std::os::raw::c_ulong;
pub type __kernel_ino_t = __kernel_ulong_t;
pub type __kernel_mode_t = ::std::os::raw::c_uint;
pub type __kernel_pid_t = ::std::os::raw::c_int;
pub type __kernel_ipc_pid_t = ::std::os::raw::c_int;
pub type __kernel_uid_t = ::std::os::raw::c_uint;
pub type __kernel_gid_t = ::std::os::raw::c_uint;
pub type __kernel_suseconds_t = __kernel_long_t;
pub type __kernel_daddr_t = ::std::os::raw::c_int;
pub type __kernel_uid32_t = ::std::os::raw::c_uint;
pub type __kernel_gid32_t = ::std::os::raw::c_uint;
pub type __kernel_size_t = __kernel_ulong_t;
pub type __kernel_ssize_t = __kernel_long_t;
pub type __kernel_ptrdiff_t = __kernel_long_t;
#[repr(C)]
#[derive(Debug, Copy, Clone)]
pub struct __kernel_fsid_t {
    pub val: [::std::os::raw::c_int; 2usize],
}
#[test]
fn bindgen_test_layout___kernel_fsid_t() {
    assert_eq!(
        ::std::mem::size_of::<__kernel_fsid_t>(),
        8usize,
        concat!("Size of: ", stringify!(__kernel_fsid_t))
    );
    assert_eq!(
        ::std::mem::align_of::<__kernel_fsid_t>(),
        4usize,
        concat!("Alignment of ", stringify!(__kernel_fsid_t))
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<__kernel_fsid_t>())).val as *const _ as usize },
        0usize,
        concat!(
            "Offset of field: ",
            stringify!(__kernel_fsid_t),
            "::",
            stringify!(val)
        )
    );
}
pub type __kernel_off_t = __kernel_long_t;
pub type __kernel_loff_t = ::std::os::raw::c_longlong;
pub type __kernel_time_t = __kernel_long_t;
pub type __kernel_time64_t = ::std::os::raw::c_longlong;
pub type __kernel_clock_t = __kernel_long_t;
pub type __kernel_timer_t = ::std::os::raw::c_int;
pub type __kernel_clockid_t = ::std::os::raw::c_int;
pub type __kernel_caddr_t = *mut ::std::os::raw::c_char;
pub type __kernel_uid16_t = ::std::os::raw::c_ushort;
pub type __kernel_gid16_t = ::std::os::raw::c_ushort;
pub type __le16 = __u16;
pub type __be16 = __u16;
pub type __le32 = __u32;
pub type __be32 = __u32;
pub type __le64 = __u64;
pub type __be64 = __u64;
pub type __sum16 = __u16;
pub type __wsum = __u32;
pub type __poll_t = ::std::os::raw::c_uint;
#[repr(C)]
#[derive(Debug, Copy, Clone)]
pub struct lirc_scancode {
    pub timestamp: __u64,
    pub flags: __u16,
    pub rc_proto: __u16,
    pub keycode: __u32,
    pub scancode: __u64,
}
#[test]
fn bindgen_test_layout_lirc_scancode() {
    assert_eq!(
        ::std::mem::size_of::<lirc_scancode>(),
        24usize,
        concat!("Size of: ", stringify!(lirc_scancode))
    );
    assert_eq!(
        ::std::mem::align_of::<lirc_scancode>(),
        8usize,
        concat!("Alignment of ", stringify!(lirc_scancode))
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<lirc_scancode>())).timestamp as *const _ as usize },
        0usize,
        concat!(
            "Offset of field: ",
            stringify!(lirc_scancode),
            "::",
            stringify!(timestamp)
        )
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<lirc_scancode>())).flags as *const _ as usize },
        8usize,
        concat!(
            "Offset of field: ",
            stringify!(lirc_scancode),
            "::",
            stringify!(flags)
        )
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<lirc_scancode>())).rc_proto as *const _ as usize },
        10usize,
        concat!(
            "Offset of field: ",
            stringify!(lirc_scancode),
            "::",
            stringify!(rc_proto)
        )
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<lirc_scancode>())).keycode as *const _ as usize },
        12usize,
        concat!(
            "Offset of field: ",
            stringify!(lirc_scancode),
            "::",
            stringify!(keycode)
        )
    );
    assert_eq!(
        unsafe { &(*(::std::ptr::null::<lirc_scancode>())).scancode as *const _ as usize },
        16usize,
        concat!(
            "Offset of field: ",
            stringify!(lirc_scancode),
            "::",
            stringify!(scancode)
        )
    );
}
pub const rc_proto_RC_PROTO_UNKNOWN: rc_proto = 0;
pub const rc_proto_RC_PROTO_OTHER: rc_proto = 1;
pub const rc_proto_RC_PROTO_RC5: rc_proto = 2;
pub const rc_proto_RC_PROTO_RC5X_20: rc_proto = 3;
pub const rc_proto_RC_PROTO_RC5_SZ: rc_proto = 4;
pub const rc_proto_RC_PROTO_JVC: rc_proto = 5;
pub const rc_proto_RC_PROTO_SONY12: rc_proto = 6;
pub const rc_proto_RC_PROTO_SONY15: rc_proto = 7;
pub const rc_proto_RC_PROTO_SONY20: rc_proto = 8;
pub const rc_proto_RC_PROTO_NEC: rc_proto = 9;
pub const rc_proto_RC_PROTO_NECX: rc_proto = 10;
pub const rc_proto_RC_PROTO_NEC32: rc_proto = 11;
pub const rc_proto_RC_PROTO_SANYO: rc_proto = 12;
pub const rc_proto_RC_PROTO_MCIR2_KBD: rc_proto = 13;
pub const rc_proto_RC_PROTO_MCIR2_MSE: rc_proto = 14;
pub const rc_proto_RC_PROTO_RC6_0: rc_proto = 15;
pub const rc_proto_RC_PROTO_RC6_6A_20: rc_proto = 16;
pub const rc_proto_RC_PROTO_RC6_6A_24: rc_proto = 17;
pub const rc_proto_RC_PROTO_RC6_6A_32: rc_proto = 18;
pub const rc_proto_RC_PROTO_RC6_MCE: rc_proto = 19;
pub const rc_proto_RC_PROTO_SHARP: rc_proto = 20;
pub const rc_proto_RC_PROTO_XMP: rc_proto = 21;
pub const rc_proto_RC_PROTO_CEC: rc_proto = 22;
pub const rc_proto_RC_PROTO_IMON: rc_proto = 23;
pub type rc_proto = u32;
